snd_card_file_add
Prev | Chapter 24. Sound Devices | Next

## Name

snd_card_file_add — add the file to the file list of the card

## Synopsis

`int snd_card_file_add (` | struct snd_card * | card,
| struct file * | file`)`;

## Arguments

`card`

  soundcard structure

`file`

  file pointer

## Description

This function adds the file to the file linked-list of the card. This linked-list is used to keep tracking the connection state, and to avoid the release of busy resources by hotplug.

Returns zero or a negative error code.

Prev | Up | Next
snd_component_add | Home | snd_card_file_remove